Index: test/sasguiframe/test/utest_manipulations.py
===================================================================
--- test/sasguiframe/test/utest_manipulations.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ test/sasguiframe/test/utest_manipulations.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -5,5 +5,6 @@
 
 import unittest
-import numpy, math
+import math
+import numpy as np
 from sas.sascalc.dataloader.loader import  Loader
 from sas.sasgui.guiframe.dataFitting import Data1D, Data2D
@@ -52,15 +53,15 @@
     def setUp(self):
         # Create two data sets to play with
-        x_0 = numpy.ones(5)
+        x_0 = np.ones(5)
         for i in range(5):
             x_0[i] = x_0[i]*(i+1.0)
             
-        y_0 = 2.0*numpy.ones(5)
-        dy_0 = 0.5*numpy.ones(5)
+        y_0 = 2.0*np.ones(5)
+        dy_0 = 0.5*np.ones(5)
         self.data = Data1D(x_0, y_0, dy=dy_0)
         
         x = self.data.x
-        y = numpy.ones(5)
-        dy = numpy.ones(5)
+        y = np.ones(5)
+        dy = np.ones(5)
         self.data2 = Data1D(x, y, dy=dy)
         
@@ -155,22 +156,22 @@
     def setUp(self):
         # Create two data sets to play with
-        x_0 = 2.0*numpy.ones(25)
-        dx_0 = 0.5*numpy.ones(25)
-        qx_0 = numpy.arange(25)
-        qy_0 = numpy.arange(25)
-        mask_0 = numpy.zeros(25)
-        dqx_0 = numpy.arange(25)/100
-        dqy_0 = numpy.arange(25)/100
-        q_0 = numpy.sqrt(qx_0 * qx_0 + qy_0 * qy_0)
+        x_0 = 2.0*np.ones(25)
+        dx_0 = 0.5*np.ones(25)
+        qx_0 = np.arange(25)
+        qy_0 = np.arange(25)
+        mask_0 = np.zeros(25)
+        dqx_0 = np.arange(25)/100
+        dqy_0 = np.arange(25)/100
+        q_0 = np.sqrt(qx_0 * qx_0 + qy_0 * qy_0)
         self.data = Data2D(image=x_0, err_image=dx_0, qx_data=qx_0, 
                            qy_data=qy_0, q_data=q_0, mask=mask_0, 
                            dqx_data=dqx_0, dqy_data=dqy_0)
         
-        y = numpy.ones(25)
-        dy = numpy.ones(25)
-        qx = numpy.arange(25)
-        qy = numpy.arange(25)
-        mask = numpy.zeros(25)
-        q = numpy.sqrt(qx * qx + qy * qy)
+        y = np.ones(25)
+        dy = np.ones(25)
+        qx = np.arange(25)
+        qy = np.arange(25)
+        mask = np.zeros(25)
+        q = np.sqrt(qx * qx + qy * qy)
         self.data2 = Data2D(image=y, err_image=dy, qx_data=qx, qy_data=qy, 
                             q_data=q, mask=mask)
@@ -182,5 +183,5 @@
         """
         # There should be 5 entries in the file
-        self.assertEqual(numpy.size(self.data.data), 25)
+        self.assertEqual(np.size(self.data.data), 25)
         
         for i in range(25):
@@ -263,22 +264,22 @@
     def setUp(self):
         # Create two data sets to play with
-        x_0 = 2.0*numpy.ones(25)
-        dx_0 = 0.5*numpy.ones(25)
-        qx_0 = numpy.arange(25)
-        qy_0 = numpy.arange(25)
-        mask_0 = numpy.zeros(25)
-        dqx_0 = numpy.arange(25)/100
-        dqy_0 = numpy.arange(25)/100
-        q_0 = numpy.sqrt(qx_0 * qx_0 + qy_0 * qy_0)
+        x_0 = 2.0*np.ones(25)
+        dx_0 = 0.5*np.ones(25)
+        qx_0 = np.arange(25)
+        qy_0 = np.arange(25)
+        mask_0 = np.zeros(25)
+        dqx_0 = np.arange(25)/100
+        dqy_0 = np.arange(25)/100
+        q_0 = np.sqrt(qx_0 * qx_0 + qy_0 * qy_0)
         self.data = Data2D(image=x_0, err_image=dx_0, qx_data=qx_0, 
                            qy_data=qy_0, q_data=q_0, mask=mask_0, 
                            dqx_data=dqx_0, dqy_data=dqy_0)
         
-        y = numpy.ones(25)
-        dy = numpy.ones(25)
-        qx = numpy.arange(25)
-        qy = numpy.arange(25)
-        mask = numpy.zeros(25)
-        q = numpy.sqrt(qx * qx + qy * qy)
+        y = np.ones(25)
+        dy = np.ones(25)
+        qx = np.arange(25)
+        qy = np.arange(25)
+        mask = np.zeros(25)
+        q = np.sqrt(qx * qx + qy * qy)
         self.data2 = Data2D(image=y, err_image=dy, qx_data=qx, qy_data=qy, 
                             q_data=q, mask=mask)
@@ -290,5 +291,5 @@
         """
         # There should be 5 entries in the file
-        self.assertEqual(numpy.size(self.data.data), 25)
+        self.assertEqual(np.size(self.data.data), 25)
         
         for i in range(25):
